Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.nativebinaries
[Java] Interface Executable

    org.gradle.nativebinaries.NativeComponent
      org.gradle.nativebinaries.Executable
          org.gradle.api.Named

All Superinterfaces:
  NativeComponent, Named

    @Incubating
    public interface Executable
    extends NativeComponent

The logical representation of an executable native component.

Method Summary

Methods inherited from interface NativeComponent
flavors, getBaseName, getBinaries, getFlavors, getSource, setBaseName, source

Methods inherited from interface Named
getName

Gradle API 1.10